
def zip_longest(*args, fillvalue=None):
    """
    Zips multiple iterables (like lists) together into a single iterable.
    If the iterables are of uneven length, missing values are filled with `fillvalue`.
    """
    # Using zip_longest from itertools to zip the iterables together
    from itertools import zip_longest
    return zip_longest(*args, fillvalue=fillvalue)



